#include<stdio.h>
#include<stdlib.h>

int main()
{
	char c1, c2;
	long int a1, a2, i;
	scanf_s("%c", &c1);
	scanf_s("%c", &c2);
	scanf_s("%ld%ld", &a1, &a2);
	if (a1 != a2 && a1 != a2 + 1 && a1 != a2 - 1)
		printf("nemoguce");
	else
		if(a1=a2)
			for (i = 0; i < a1 ;i++) {
				printf("%c", c1);
				printf("%c", c2);
			}
		else
			if (a1 > a2) {
				for (i = 0; i < a2;i++) {
					printf("%c", c1);
					printf("%c", c2);
				}
				printf("%c",&a1);
			}
			else {
				printf("%c", &a2);
				for (i = 0; i < a1;i++) {
					printf("%c", c1);
					printf("%c", c2);
				}
				
			}
	return 0;
}